package de.geis.printserver;

import java.io.File;

public class Parameters {
	private static File m_configFolder = null;
	public static File getConfigFolder() { 
		if (m_configFolder == null) {
			m_configFolder = new File("");
		}
		return m_configFolder; 
	}
	public static void setConfigFolder(File configFolder) { m_configFolder = configFolder; }
	
	
	private static File m_errorFolder = null;
	public static File getErrorFolder() { 
		if (m_errorFolder == null) {
			m_errorFolder = new File("");
		}
		return m_errorFolder; 
	}
	public static void setErrorFolder(File errorFolder) { m_errorFolder = errorFolder; }
	
	
	private static File m_fileFolder = null;
	public static File getFileFolder() { 
		if (m_fileFolder == null) {
			m_fileFolder = new File("");
		}
		return m_fileFolder; 
	}
	public static void setFileFolder(File fileFolder) { m_fileFolder = fileFolder; }
	
	
	private static int versuche = 0;
	public static int getVersuche() {
		if(versuche == 0) {
			versuche = 3;
		}
		return versuche;
	}
	public static void setVersuche(int value) { versuche = value; }

	private static int delaytime = 0;
	public static int getDelayTime() {
		if(delaytime == 0) {
			delaytime = 25;
		}
		return delaytime;
	}
	public static void setDelayTime(int value) { delaytime = value; }
	
}
